Skip to main content
GET
ResolveEffectiveLimits

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

user_id
string
required

User whose effective limits should be resolved.

Query Parameters

app_id
string

Optional application used to include application-specific limits.

Response

200 - application/json

ResolveEffectiveLimitsResponse contains the limits currently applying to a user.

ResolveEffectiveLimitsResponse contains the limits currently applying to a user.

currencyCode
string

Currency used for monetary values.

denialReason
enum<string>

Reason spend is denied. Present only when state is DENIED.

Available options:
DENY_REASON_UNSPECIFIED,
DENY_REASON_TENANT_FROZEN,
DENY_REASON_SUSPENDED_BY_ADMIN,
DENY_REASON_APP_SUSPENDED,
DENY_REASON_APP_PAUSED_BY_YOU,
DENY_REASON_NO_SUPPLY
denialScopeName
string

Scope that denies spend. Present only when state is DENIED.

scopes
Effective Scope · object[] | null

Ordered organization, user, application, and user-application scopes.

state
enum<string>

Result of resolving the user's effective limits.

Available options:
EFFECTIVE_LIMITS_STATE_UNSPECIFIED,
EFFECTIVE_LIMITS_STATE_RESOLVED,
EFFECTIVE_LIMITS_STATE_NO_POLICY,
EFFECTIVE_LIMITS_STATE_NO_CEILING,
EFFECTIVE_LIMITS_STATE_DENIED